Package org.gitana.platform.client.application

# Interface Email

All Superinterfaces:
  `ApplicationDocument`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `EmailImpl`

public interface Email extends ApplicationDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_BCC`
`static final String`
`FIELD_BODY`
`static final String`
`FIELD_BODY_ATTACHMENT_ID`
`static final String`
`FIELD_BODY_BRANCH_ID`
`static final String`
`FIELD_BODY_NODE_ID`
`static final String`
`FIELD_BODY_REPOSITORY_ID`
`static final String`
`FIELD_CC`
`static final String`
`FIELD_FROM`
`static final String`
`FIELD_REPLY_TO`
`static final String`
`FIELD_SENT`
`static final String`
`FIELD_SENT_BY`
`static final String`
`FIELD_SENT_ON`
`static final String`
`FIELD_SUBJECT`
`static final String`
`FIELD_TO`
`static final String`
`FIELD_TO_DOMAIN_ID`
`static final String`
`FIELD_TO_PRINCIPAL_ID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`Calendar`
`dateSent()`
`String`
`getBCC()`
`String`
`getBody()`
`Attachment`
`getBodyAttachment()`
`String`
`getCC()`
`String`
`getFrom()`
`String`
`getReplyTo()`
`boolean`
`getSent()`
`String`
`getSentBy()`
`String`
`getSubject()`
`String`
`getTo()`
`DomainUser`
`getToDomainUser()`
`void`
`setBCC(String bcc)`
`void`
`setBody(String body)`
`void`
`setBodyAttachment(Node node, String attachmentId)`
`void`
`setCC(String cc)`
`void`
`setFrom(String from)`
`void`
`setReplyTo(String replyTo)`
`void`
`setSubject(String subject)`
`void`
`setTo(String to)`
`void`
`setToDomainUser(DomainUser user)`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_TO

static final String FIELD_TO

See Also:
  - Constant Field Values

### FIELD_BODY

static final String FIELD_BODY

See Also:
  - Constant Field Values

### FIELD_FROM

static final String FIELD_FROM

See Also:
  - Constant Field Values

### FIELD_SUBJECT

static final String FIELD_SUBJECT

See Also:
  - Constant Field Values

### FIELD_CC

static final String FIELD_CC

See Also:
  - Constant Field Values

### FIELD_BCC

static final String FIELD_BCC

See Also:
  - Constant Field Values

### FIELD_REPLY_TO

static final String FIELD_REPLY_TO

See Also:
  - Constant Field Values

### FIELD_TO_DOMAIN_ID

static final String FIELD_TO_DOMAIN_ID

See Also:
  - Constant Field Values

### FIELD_TO_PRINCIPAL_ID

static final String FIELD_TO_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_BODY_REPOSITORY_ID

static final String FIELD_BODY_REPOSITORY_ID

See Also:
  - Constant Field Values

### FIELD_BODY_BRANCH_ID

static final String FIELD_BODY_BRANCH_ID

See Also:
  - Constant Field Values

### FIELD_BODY_NODE_ID

static final String FIELD_BODY_NODE_ID

See Also:
  - Constant Field Values

### FIELD_BODY_ATTACHMENT_ID

static final String FIELD_BODY_ATTACHMENT_ID

See Also:
  - Constant Field Values

### FIELD_SENT

static final String FIELD_SENT

See Also:
  - Constant Field Values

### FIELD_SENT_ON

static final String FIELD_SENT_ON

See Also:
  - Constant Field Values

### FIELD_SENT_BY

static final String FIELD_SENT_BY

See Also:
  - Constant Field Values

## Method Details

### getTo

String getTo()

### setTo

void setTo(String to)

### setToDomainUser

void setToDomainUser(DomainUser user)

### getToDomainUser

DomainUser getToDomainUser()

### getBody

String getBody()

### setBody

void setBody(String body)

### getBodyAttachment

Attachment getBodyAttachment()

### setBodyAttachment

void setBodyAttachment(Node node, String attachmentId)

### getFrom

String getFrom()

### setFrom

void setFrom(String from)

### getSubject

String getSubject()

### setSubject

void setSubject(String subject)

### getCC

String getCC()

### setCC

void setCC(String cc)

### getBCC

String getBCC()

### setBCC

void setBCC(String bcc)

### getReplyTo

String getReplyTo()

### setReplyTo

void setReplyTo(String replyTo)

### getSent

boolean getSent()

### dateSent

Calendar dateSent()

### getSentBy

String getSentBy()